Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## javax.faces.view.facelets
Class TagAttributes

    java.lang.Object
      javax.faces.view.facelets.TagAttributes

    public abstract class TagAttributes

extends java.lang.Object

A set of TagAttributes, usually representing all attributes on a Tag.

Since:
  2.0

Constructor Summary
`TagAttributes()`

Method Summary
`abstract TagAttribute` | `get(java.lang.String localName)` Using no namespace, find the TagAttribute
`abstract TagAttribute` | `get(java.lang.String ns, java.lang.String localName)` Find a TagAttribute that matches the passed namespace and local name.
`abstract TagAttribute[]` | `getAll()` Return an array of all TagAttributes in this set
`abstract TagAttribute[]` | `getAll(java.lang.String namespace)` Get all TagAttributes for the passed namespace
`abstract java.lang.String[]` | `getNamespaces()` A list of Namespaces found in this set

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### TagAttributes

    public TagAttributes()

Method Detail

### getAll

    public abstract TagAttribute[] getAll()

  Return an array of all TagAttributes in this set

  Returns:
    a non-null array of TagAttributes

### get

    public abstract TagAttribute get(java.lang.String localName)

  Using no namespace, find the TagAttribute

  Parameters:
    `localName` - tag attribute name
  Returns:
    the TagAttribute found, otherwise null
  See Also:
    `get(String, String)`

### get

    public abstract TagAttribute get(java.lang.String ns,
                                     java.lang.String localName)

  Find a TagAttribute that matches the passed namespace and local name.

  Parameters:
    `ns` - namespace of the desired attribute
    `localName` - local name of the attribute
  Returns:
    a TagAttribute found, otherwise null

### getAll

    public abstract TagAttribute[] getAll(java.lang.String namespace)

  Get all TagAttributes for the passed namespace

  Parameters:
    `namespace` - namespace to search
  Returns:
    a non-null array of TagAttributes

### getNamespaces

    public abstract java.lang.String[] getNamespaces()

  A list of Namespaces found in this set

  Returns:
    a list of Namespaces found in this set

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 2002-2010 Oracle America Inc, Inc. All Rights Reserved.